Debian Bug report logs - #615987
CVE-2011-1022

version graph

Package: libcgroup; Maintainer for libcgroup is Daniel Baumann <mail@daniel-baumann.ch>;

Reported by: Moritz Muehlenhoff <muehlenhoff@univention.de>

Date: Tue, 1 Mar 2011 15:27:02 UTC

Severity: grave

Tags: security

Fixed in version libcgroup/0.37.1-1

Done: Jon Bernard <jbernard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, team@security.debian.org, Jon Bernard <jbernard@debian.org>:
Bug#615987; Package libcgroup. (Tue, 01 Mar 2011 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
New Bug report received and forwarded. Copy sent to team@security.debian.org, Jon Bernard <jbernard@debian.org>. (Tue, 01 Mar 2011 15:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <muehlenhoff@univention.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: CVE-2011-1022
Date: Tue, 01 Mar 2011 16:24:08 +0100
Package: libcgroup
Severity: grave
Tags: security

Hi,
please see the following links for references and a patch
http://www.openwall.com/lists/oss-security/2011/02/25/6
http://sourceforge.net/mailarchive/message.php?msg_id=27102603

This is CVE-2011-1022

Cheers,
        Moritz




Reply sent to Jon Bernard <jbernard@debian.org>:
You have taken responsibility. (Sun, 10 Apr 2011 14:57:54 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
Bug acknowledged by developer. (Sun, 10 Apr 2011 14:58:02 GMT) Full text and rfc822 format available.

Message #10 received at 615987-close@bugs.debian.org (full text, mbox):

From: Jon Bernard <jbernard@debian.org>
To: 615987-close@bugs.debian.org
Subject: Bug#615987: fixed in libcgroup 0.37.1-1
Date: Sun, 10 Apr 2011 14:55:04 +0000
Source: libcgroup
Source-Version: 0.37.1-1

We believe that the bug you reported is fixed in the latest version of
libcgroup, which is due to be installed in the Debian FTP archive:

cgroup-bin_0.37.1-1_amd64.deb
  to main/libc/libcgroup/cgroup-bin_0.37.1-1_amd64.deb
libcgroup-dev_0.37.1-1_amd64.deb
  to main/libc/libcgroup/libcgroup-dev_0.37.1-1_amd64.deb
libcgroup1_0.37.1-1_amd64.deb
  to main/libc/libcgroup/libcgroup1_0.37.1-1_amd64.deb
libcgroup_0.37.1-1.debian.tar.gz
  to main/libc/libcgroup/libcgroup_0.37.1-1.debian.tar.gz
libcgroup_0.37.1-1.dsc
  to main/libc/libcgroup/libcgroup_0.37.1-1.dsc
libcgroup_0.37.1.orig.tar.gz
  to main/libc/libcgroup/libcgroup_0.37.1.orig.tar.gz
libpam-cgroup_0.37.1-1_amd64.deb
  to main/libc/libcgroup/libpam-cgroup_0.37.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 615987@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jon Bernard <jbernard@debian.org> (supplier of updated libcgroup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 Apr 2011 09:55:33 -0400
Source: libcgroup
Binary: libcgroup-dev libcgroup1 libpam-cgroup cgroup-bin
Architecture: source amd64
Version: 0.37.1-1
Distribution: unstable
Urgency: low
Maintainer: Jon Bernard <jbernard@debian.org>
Changed-By: Jon Bernard <jbernard@debian.org>
Description: 
 cgroup-bin - Tools to control and monitor control groups
 libcgroup-dev - Development libraries to develop applications that utilize contro
 libcgroup1 - Library to control and monitor control groups
 libpam-cgroup - PAM module to move a user session into a cgroup
Closes: 610967 615987
Changes: 
 libcgroup (0.37.1-1) unstable; urgency=low
 .
   * [f7cc41d] New upstream version 0.37.1 (Closes: #615987)
   * [24dfa81] Refresh existing patches
   * [25be27b] Add patch to fix cgconfig.conf manpage
   * [4a06e2d] Add patch to fix spelling mistake in cgcreate.
     Thanks to Nikita A Menkovich <nikita@menkovich.ru> (Closes: #610967)
   * [25e7f37] Remove article from start of description synopsis
Checksums-Sha1: 
 bb9fad9eba5d1a48126832528251f1878e253ed6 1284 libcgroup_0.37.1-1.dsc
 9a0146deb8049af4fd30dbd3a62f0935a7bc6545 559035 libcgroup_0.37.1.orig.tar.gz
 554bab1ab4f838f37152d1fa0eba06e786dfb603 12813 libcgroup_0.37.1-1.debian.tar.gz
 96c25796bd8437121f26c2a554468c1741b1f783 17290 libcgroup-dev_0.37.1-1_amd64.deb
 aa45f66133aafcf09986968caeed0aa91af80594 38618 libcgroup1_0.37.1-1_amd64.deb
 29d06bbff184b6d989654cabc7e26a5ebac1692c 7544 libpam-cgroup_0.37.1-1_amd64.deb
 df98ba6ba1afde044605e8c8dc3500b4eae91ab9 66600 cgroup-bin_0.37.1-1_amd64.deb
Checksums-Sha256: 
 ad5caf5e83084746c6f911abf13bbac4216b99a17a79788fa90ad3394bf3b936 1284 libcgroup_0.37.1-1.dsc
 e03ee7a709de82e7009c6ffbb92717aa620cbe9ab0f9956edc1e79803c0dfd27 559035 libcgroup_0.37.1.orig.tar.gz
 48cc6badf43092739363419fb1f58700ed85a40bf4b8d23b75ef1f3ee0e5918e 12813 libcgroup_0.37.1-1.debian.tar.gz
 8642ea39b5c698f66747bd583ea24e59ed594ed919df07e8e5822bbd4d2952fa 17290 libcgroup-dev_0.37.1-1_amd64.deb
 24a53cd6be0d5f8a4b0c2b6be5621507c38b0c996b5df06a67b8366f65ab6d18 38618 libcgroup1_0.37.1-1_amd64.deb
 3008d4f1d0ae01ea3d681379d999520ef20c3749bc78c002a251abffd69e6858 7544 libpam-cgroup_0.37.1-1_amd64.deb
 7ddb4b46f46233a01d0d91d9f9360612637e33ba8a95f5ad5dbaf1c3451bffa9 66600 cgroup-bin_0.37.1-1_amd64.deb
Files: 
 fd5beb620bdd0abac5e5e81784e99151 1284 libs extra libcgroup_0.37.1-1.dsc
 d7e104874ac3a92aac3d544c101a0ace 559035 libs extra libcgroup_0.37.1.orig.tar.gz
 cb483344c1c0ee847198826e70bb5d88 12813 libs extra libcgroup_0.37.1-1.debian.tar.gz
 3a5c27bd8fbfa02c3d3aef54807dd318 17290 libdevel extra libcgroup-dev_0.37.1-1_amd64.deb
 f496b838f4e942eb371048fd6744cfb0 38618 libs extra libcgroup1_0.37.1-1_amd64.deb
 7faeae17bdb1a76ae43a1f6617a89d22 7544 admin extra libpam-cgroup_0.37.1-1_amd64.deb
 cea218972fee24f62446657cf56a2fcb 66600 admin extra cgroup-bin_0.37.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk2ht00ACgkQwAT2A1kSwn4QvQCgyxRAOMCZQ7P2GdEQexSklxIL
KWwAoKUszCg3EDAVFNC6WgXnnluRjUaE
=WbwK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jul 2011 07:38:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:39:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.